= form_errors(hook)

.form-group
  = form.label :url, s_('Webhooks|URL'), class: 'label-bold'
  = form.text_field :url, class: 'form-control gl-form-input', placeholder: 'http://example.com/trigger-ci.json'
  %p.form-text.text-muted
    = s_('Webhooks|URL must be percent-encoded if it contains one or more special characters.')
.form-group
  = form.label :token, s_('Webhooks|Secret token'), class: 'label-bold'
  = form.text_field :token, class: 'form-control gl-form-input', placeholder: ''
  %p.form-text.text-muted
    - code_start = '<code>'.html_safe
    - code_end = '</code>'.html_safe
    = s_('Webhooks|Used to validate received payloads. Sent with the request in the %{code_start}X-Gitlab-Token HTTP%{code_end} header.').html_safe % { code_start: code_start, code_end: code_end }
.form-group
  = form.label :url, s_('Webhooks|Trigger'), class: 'label-bold'
  %ul.list-unstyled.gl-ml-6
    %li
      = form.check_box :push_events, class: 'form-check-input'
      = form.label :push_events, class: 'list-label form-check-label gl-ml-1 gl-mb-3' do
        %strong= s_('Webhooks|Push events')
      = form.text_field :push_events_branch_filter, class: 'form-control gl-form-input', placeholder: 'Branch name or wildcard pattern to trigger on (leave blank for all)'
      %p.text-muted.gl-ml-1
        = s_('Webhooks|Push to the repository.')
    %li
      = form.check_box :tag_push_events, class: 'form-check-input'
      = form.label :tag_push_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Tag push events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A new tag is pushed to the repository.')
    %li
      = form.check_box :note_events, class: 'form-check-input'
      = form.label :note_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Comments')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A comment is added to an issue or merge request.')
    %li
      = form.check_box :confidential_note_events, class: 'form-check-input'
      = form.label :confidential_note_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Confidential comments')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A comment is added to a confidential issue.')
    %li
      = form.check_box :issues_events, class: 'form-check-input'
      = form.label :issues_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Issues events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|An issue is created, updated, closed, or reopened.')
    %li
      = form.check_box :confidential_issues_events, class: 'form-check-input'
      = form.label :confidential_issues_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Confidential issues events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A confidential issue is created, updated, closed, or reopened.')
    - if @group
      = render_if_exists 'groups/hooks/member_events', form: form
      = render_if_exists 'groups/hooks/subgroup_events', form: form
    %li
      = form.check_box :merge_requests_events, class: 'form-check-input'
      = form.label :merge_requests_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Merge request events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A merge request is created, updated, or merged.')
    %li
      = form.check_box :job_events, class: 'form-check-input'
      = form.label :job_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Job events')
      %p.text-muted.gl-ml-1
        = s_("Webhooks|A job's status changes.")
    %li
      = form.check_box :pipeline_events, class: 'form-check-input'
      = form.label :pipeline_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Pipeline events')
      %p.text-muted.gl-ml-1
        = s_("Webhooks|A pipeline's status changes.")
    %li
      = form.check_box :wiki_page_events, class: 'form-check-input'
      = form.label :wiki_page_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Wiki page events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A wiki page is created or updated.')
    %li
      = form.check_box :deployment_events, class: 'form-check-input'
      = form.label :deployment_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Deployment events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A deployment starts, finishes, fails, or is canceled.')
    %li
      = form.check_box :feature_flag_events, class: 'form-check-input'
      = form.label :feature_flag_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Feature flag events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A feature flag is turned on or off.')
    %li
      = form.check_box :releases_events, class: 'form-check-input'
      = form.label :releases_events, class: 'list-label form-check-label gl-ml-1' do
        %strong= s_('Webhooks|Releases events')
      %p.text-muted.gl-ml-1
        = s_('Webhooks|A release is created or updated.')
.form-group
  = form.label :enable_ssl_verification, s_('Webhooks|SSL verification'), class: 'label-bold checkbox'
  .form-check
    = form.check_box :enable_ssl_verification, class: 'form-check-input'
    = form.label :enable_ssl_verification, class: 'form-check-label gl-ml-1' do
      %strong= s_('Webhooks|Enable SSL verification')
